<bugID>823011<Summary>Error: aOwnerWindow must be a dom-window object' when calling method: [nsIRunnable::run] , unable to open download file in Download Panel</Summary><Description>Build Identifier:
http://hg.mozilla.org/mozilla-central/rev/2e70b718903a
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:20.0) Gecko/20121218 Firefox/20.0 ID:20121218030803

Steps to Reproduce:
1. Start Nightly with clean new profile
2. Download a file (ex. http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-central/firefox-20.0a1.en-US.win32.installer-stub.exe
 )
3. Click download toolbar button to open Download panel
4. Click "firefox-20.0a1.en-US.win32.installer-stub.exe" to open it

Actual results:
Nothing happens
And the following error in Error Console:

Error: [Exception... "'Error: aOwnerWindow must be a dom-window object' when calling method: [nsIRunnable::run]"  nsresult: "0x8057001c (NS_ERROR_XPC_JS_THREW_JS_OBJECT)"  location: "native frame :: &lt;unknown filename&gt; :: &lt;TOP_LEVEL&gt; :: line 0"  data: no]

Expected reults:
Downloaded file should be open.

Regression window(m-c)
Good:
http://hg.mozilla.org/mozilla-central/rev/c8a1314aa449
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:20.0) Gecko/20121216 Firefox/20.0 ID:20121216030851
Bad:
http://hg.mozilla.org/mozilla-central/rev/ba26dc1c6267
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:20.0) Gecko/20121217 Firefox/20.0 ID:20121217054022
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=c8a1314aa449&amp;tochange=ba26dc1c6267


Regression window(m-i)
Good:
http://hg.mozilla.org/integration/mozilla-inbound/rev/89f1723f42f7
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:20.0) Gecko/20121216 Firefox/20.0 ID:20121216233021
Bad:
http://hg.mozilla.org/integration/mozilla-inbound/rev/38b71336dff4
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:20.0) Gecko/20121216 Firefox/20.0 ID:20121216233921
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=89f1723f42f7&amp;tochange=38b71336dff4

Suspected: Bug 675902</Description></bugID>